# MidicaPL Example Songs

In this directory you can find example songs written in MidicaPL.

## Song List

- [London Bridge](london_bridge.midica) -- Traditional nursery song. Good example to show how
  to work with karaoke lyrics. Uses one channel for the vocals and one for a guitar.
  The guitar part works with picking patterns.
- [Old MacDonald had a farm](old_macdonald_had_a_farm.midica) -- Traditional nursery song. Uses
  karaoke lyrics with very little variation between the verses. Uses one channel for the voice and one
  for a guitar. The guitar part uses simultanously played chords.
- [William Tell Ouverture - Finale](rossini_william_tell_overture_finale.midica) -- Finale of the
  ouverture of the opera **William Tell** written by **Gioachino Rossini**.
  Uses all 16 MIDI channels.
  This song needs a rewrite as it was written when some important features were not yet available in
  MidicaPL.
- [The Four Seasons (Summer) - 3rd movement](vivaldi_4_seasons_summer_3.midica) -- Composed by
  **Antonio Vivaldi**. Uses variables and the shift option a lot. This helps re-using code and making the
  source file smaller.

## Contributing

You can add more songs, and I will gladly accept merge requests.

**But I can only accept songs that are not copyright protected (at least in the European Union).**

Unfortunately there are copyright protections to most songs. And it's not always clear if a song is
protected or not. Sometimes only the music is protected, sometimes only the lyrics, sometimes the
arrangement.
Copyright laws can be really complicated, especially for music.

I cannot tell you exactly all conditions that a song must meet to be save.
But at least here are some hints:

- If it's a traditional song with an unknown composer and unknown lyricist, it's probably save.
    - However if you use a version covered by a certain band or orchestra, the certain arrangement may be
      copyright protected. Or some variations in the lyrics.
- If the componist died more than 70 years ago, it's probably save to use the music.
    - If there is more than one componist, the last one dying counts.
- If the lyricist died more than 70 years ago, it's probably save to use the lyrics.
    - If there is more than one lyricist, the last one dying counts.
- If the composer (and lyricist) allows you to publish the song, it's probably ok. But not always.
  There may be a record label or another company owning any rights.
- If you **are** the composer and the lyricist, and you make a pull request, I assume that it's
  ok to publish the song.
